# "fix" underlinking:
%define _disable_ld_no_undefined 1

%global giturl  https://github.com/xavierleroy/camlzip

Name:		ocaml-camlzip
Version:	1.13
Release:	%mkrel 2
Summary:        OCaml library for reading and writing zip, jar and gzip files
Group:		Development/OCaml
License:        LGPL-2.1-or-later WITH OCaml-LGPL-linking-exception

%global upver %(sed 's/\\.//' <<< %{version})

URL:            https://xavierleroy.org/software.html
VCS:            git:%{giturl}.git
Source0:        %{giturl}/archive/rel%{upver}.tar.gz
# Use zlib-ng directly rather than through the zlib compatibility API
Patch:          ocaml-zip-zlib-ng.patch

BuildRequires:  make
BuildRequires:  ocaml >= 4.13.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-rpm-macros
BuildRequires:  pkgconfig(zlib-ng)
# For tests
BuildRequires:  zip


%description
This Objective Caml library provides easy access to compressed files
in ZIP and GZIP format, as well as to Java JAR files. It provides
functions for reading from and writing to compressed files in these
formats.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(zlib-ng)


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -n camlzip-rel%{upver} -p1

# Do not try to overwrite the system ld.conf
sed -i "s,ocamlfind install,& -ldconf $PWD/ld.conf," Makefile

# Generate debuginfo
sed -i 's/ocamlopt/& -g/;s/ocamlmklib/& -g/' Makefile


%build
make all
%ifarch %{ocaml_native_compiler}
make allopt
%endif
make doc


%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ocaml/zip
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ocaml/stublibs

export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
export EXT_DLL=.so

touch ld.conf
%make_install

%ocaml_files


%ifarch %{ocaml_native_compiler}
# The tests can only be built with a native compiler
%check
export LD_LIBRARY_PATH=$PWD
make -C test
test/testzlib Makefile Makefile.gz
test/testzlib -d Makefile.gz Makefile.uncompressed
cmp Makefile Makefile.uncompressed
%endif


%files -f .ofiles
%license LICENSE


%files devel -f .ofiles-devel
%doc Changes README.md doc



%changelog
* Sat Apr 05 2025 pterjan <pterjan> 1.13-2.mga10
+ Revision: 2173852
- Rebuild for ocaml 5.3.0
- Update to 1.13
- Sync with Fedora (switches to zlib-ng)

* Fri Mar 31 2023 daviddavid <daviddavid> 1.10-7.mga9
+ Revision: 1951057
- fix a typo in previous commit

* Fri Mar 31 2023 daviddavid <daviddavid> 1.10-6.mga9
+ Revision: 1951051
- add more virtual provides with %%{?_isa}

* Wed May 18 2022 pterjan <pterjan> 1.10-5.mga9
+ Revision: 1858757
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1.10-4.mga9
+ Revision: 1832422
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 1.10-3.mga9
+ Revision: 1750685
+ rebuild (emptylog)

* Tue Oct 12 2021 tv <tv> 1.10-2.mga9
+ Revision: 1750673
- Rebuild for ocaml 4.13.1

* Thu Mar 04 2021 tv <tv> 1.10-1.mga9
+ Revision: 1698450
- 1.10

* Wed Mar 03 2021 tv <tv> 1.07-10.mga9
+ Revision: 1696533
- rebuild for ocaml-4.2-12

* Sat Aug 22 2020 tv <tv> 1.07-9.mga8
+ Revision: 1617870
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 1.07-8.mga8
+ Revision: 1551136
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.07-7.mga8
+ Revision: 1543242
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 tv <tv> 1.07-6.mga8
+ Revision: 1481532
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.07-5.mga7
+ Revision: 1324040
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.07-4.mga7
+ Revision: 1323728
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.07-3.mga7
+ Revision: 1299848
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 pterjan <pterjan> 1.07-2.mga7
+ Revision: 1211579
- Workaround parallel build problem

* Sun Nov 26 2017 tv <tv> 1.07-1.mga7
+ Revision: 1179307
- new release
- new site
- rebuild for new ocaml

* Thu Oct 12 2017 daviddavid <daviddavid> 1.05-9.mga7
+ Revision: 1171342
- patch3: use standard ISO C99 types uint{32,64}_t

* Mon Sep 26 2016 pterjan <pterjan> 1.05-8.mga6
+ Revision: 1056272
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 1.05-7.mga6
+ Revision: 930817
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.05-6.mga5
+ Revision: 746372
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.05-5.mga5
+ Revision: 683003
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.05-4.mga4
+ Revision: 536412
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 1.05-3.mga4
+ Revision: 484222
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 1.05-2.mga3
+ Revision: 361206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.05-1.mga3
+ Revision: 319811
- updated to last version 1.05

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.04-10.mga3
+ Revision: 301642
- new rpm group for ocaml
- new rpm group for ocaml
- update to new ocamlforge location for the homepage
- update to new ocamlforge location

* Sun Oct 02 2011 fwang <fwang> 1.04-8.mga2
+ Revision: 150881
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 1.04-7.mga1
+ Revision: 82385
- clean spec file
- imported package ocaml-camlzip

